/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef MUSICDBEXPORTER_H
#define MUSICDBEXPORTER_H

#include <qstring.h>

class MusicDatabase;

struct Header
{
	int magic;
	int num_dirs;
	int num_files;
};

struct SongHeader
{
	int length;
	int track;
	int year;
	unsigned int last_modified;
};

/**
@author Joris Guisson
@brief Exports the MusicDatabase to a file
*/
class MusicDBExporter
{
	MusicDatabase* m_db;
	
public:
	/**
		Constructor.
		@param db The MusicDatabase
	*/
	MusicDBExporter(MusicDatabase* db);
	~MusicDBExporter();
	
	/**
		Export the MusicDatabase to a file.
		@param file The file to export to
	*/
	void exportDB(const QString & file);

};

#endif
