/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@student.luc.ac.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GSTPLAYER_H
#define GSTPLAYER_H


#include <config.h>


#ifdef HAVE_GSTREAMER

#include "player/playerbase.h"

class GstPlayThread;

/**
@author Joris Guisson
*/
class GstPlayer : public PlayerBase
{
	Q_OBJECT
			
	GstPlayThread* m_pt;
public:
	GstPlayer(QObject* parent = 0, const char* name = 0);
	virtual ~GstPlayer();

	virtual bool isIdle() const;
	virtual bool isPaused() const;
	virtual bool isPlaying() const;
	virtual bool pause();
	virtual bool play(const QString& file);
	virtual bool resume();
	virtual bool stop();
	virtual float setVolume(float vol);
	virtual int currentTime() const;
	virtual int totalTime() const;
	virtual void seek(int secs);
};

#endif

#endif
