/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef PLAYQUEUE_H
#define PLAYQUEUE_H

#include "tools/playlisted/playlist.h"

class MusicDatabase;

/**
@author Joris Guisson
*/
class PlayQueue : public PlayList
{
	Q_OBJECT
			

public:
	PlayQueue(MusicDatabase* mdb);
	virtual ~PlayQueue();
	
	void saveQueue(const QString & dir);
	void loadQueue(const QString & dir,MusicDatabase* mdb);

	void enqueue(Song* s);
	Song* dequeue();
	
	void insertAfter(int index,Song* s);
	void removeItem(int index);
	void removeItems(const std::list<int> & indices);
};

#endif
