/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#include <qdatetime.h>
#include "timedisplaylabel.h"

TimeDisplayLabel::TimeDisplayLabel(QWidget *parent, const char *name)
		: QLabel(parent, name),curr(0),total(0)
{
	updateTime();
}


TimeDisplayLabel::~TimeDisplayLabel()
{}

void TimeDisplayLabel::updateTime()
{
	QTime a,b;
	a = a.addSecs(curr);
	b = b.addSecs(total);
	setText(a.toString("mm:ss") + "/" + b.toString("mm:ss"));
}

void TimeDisplayLabel::setTotalTime(int tt)
{
	total = tt;
	updateTime();
}

void TimeDisplayLabel::setCurrentTime(int ct)
{
	curr = ct;
	updateTime();
}
	
#include "timedisplaylabel.moc"
