/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#include <qslider.h>
#include <qlayout.h>
#include <kiconloader.h>
#include <kglobal.h>
#include <qlabel.h>
#include <klocale.h>
#include "timeslider.h"

TimeSlider::TimeSlider(QWidget *parent, const char *name)
		: QWidget(parent,name),ct(0)
{
	//// setup our layout manager to automatically add our widgets
	QHBoxLayout *top_layout = new QHBoxLayout(this);
	top_layout->setAutoAdd(true);
	
	KIconLoader* il = KGlobal::iconLoader();
	pix = il->loadIcon("xclock",KIcon::Small);
	QLabel* lbl = new QLabel(i18n("Time"),this);
	lbl->setPixmap(pix);
	
	new QLabel(" ",this);
	
	slider = new QSlider(Qt::Horizontal,this);
	slider->setMinValue(0);
	slider->setMaxValue(100);
	connect(slider,SIGNAL(sliderMoved(int)),this,SLOT(moved(int)));
}


TimeSlider::~TimeSlider()
{}

void TimeSlider::elapsed(int curr)
{
	slider->setValue(curr);
}

void TimeSlider::totalTimeChanged(int tt)
{
	ct = tt;
	slider->setMaxValue(tt);
}

void TimeSlider::moved(int val)
{
	seek(val);
}

#include "timeslider.moc"
