/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#include <qslider.h>
#include <qlayout.h>
#include <kiconloader.h>
#include <kglobal.h>
#include <qlabel.h>
#include <klocale.h>
#include "volumewidget.h"

VolumeWidget::VolumeWidget(QWidget *parent, const char *name)
		: QWidget(parent, name)
{
	//// setup our layout manager to automatically add our widgets
	QHBoxLayout *top_layout = new QHBoxLayout(this);
	top_layout->setAutoAdd(true);
	
	KIconLoader* il = KGlobal::iconLoader();
	pix = il->loadIcon("multimedia",KIcon::Small);
	QLabel* lbl = new QLabel(i18n("Volume"),this);
	lbl->setPixmap(pix);
	
	new QLabel(" ",this);
	
	slider = new QSlider(Qt::Horizontal,this);
	slider->setMaxValue(100);
	slider->setMinValue(0);
	slider->setValue(100);
	connect(slider,SIGNAL(sliderMoved(int)),this,SLOT(onValueChanged(int )));
	
	setMaximumSize(100,100);
}


VolumeWidget::~VolumeWidget()
{}

void VolumeWidget::onValueChanged(int val)
{
	volumeChanged((float)val / 100.0f);
}

void VolumeWidget::setVolume(float vol)
{
	slider->setValue((int)(vol * 100));
}

#include "volumewidget.moc"
