/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "albumtool.h"
#include "albumdb.h"
#include "albumtoolview.h"
#include "kmusicmanager.h"
#include "mainwindow.h"
#include "musicdb/musicdatabase.h"

AlbumTool::AlbumTool(KMusicManager* mm, const char* name)
	: Tool("tool/album", mm, name),m_view(0),m_db(0)
{}


AlbumTool::~AlbumTool()
{
	delete m_view;
	delete m_db;
}


void AlbumTool::load()
{
	KMusicManager* mm = getMusicMan();
	m_db = new AlbumDB(mm->getMusicDB());
	m_view = new AlbumToolView(mm->getMainWindow(),"album");
	
	mm->getMainWindow()->addToolWindow(
			m_view,KDockWidget::DockLeft,
			mm->getMainWindow()->getMainDockWidget(),35);
	
	connect(m_db,SIGNAL(albumAdded(Album* )),m_view,SLOT(addAlbum(Album* )));
	connect(m_db,SIGNAL(albumRemoved(Album* )),m_view,SLOT(removeAlbum(Album* )));
	
	m_db->scan();
}

void AlbumTool::loadSettings(KConfig* cfg)
{}

void AlbumTool::onChildViewAdded(ChildView* cv)
{}

void AlbumTool::saveSettings(KConfig* cfg)
{}

void AlbumTool::unload()
{
	delete m_view;
	m_view = 0;
	delete m_db;
	m_db = 0;
}

