/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <klocale.h>
#include <qdatetime.h>
#include "albumtoolview.h"
#include "album.h"
#include "globals.h"

typedef std::map<Album*,QListBoxItem*>::iterator ALBItr;

AlbumToolView::AlbumToolView(QWidget *parent, const char *name)
		: KListBox(parent, name)
{
	setCaption(i18n("Albums"));
}


AlbumToolView::~AlbumToolView()
{}

void AlbumToolView::addAlbum(Album* a)
{
	m_items[a] = new QListBoxText(this,a->getName() + " (" + a->getArtist() + ")");
}

void AlbumToolView::removeAlbum(Album* a)
{
	OutputLog() << "Removing album " << a->getName() << " from view" << endl;
	ALBItr i = m_items.find(a);
	if (i == m_items.end())
		return;
	
	delete i->second;
	m_items.erase(i);
}

#include "albumtoolview.moc"
