/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <kglobal.h>
#include <kiconloader.h>
#include "view/musiclistview.h"
#include "albumview.h"
#include "album.h"

AlbumView::AlbumView(Album* album,QWidget* parent, const char* name)
	: ChildView(album->getName(), parent, name),m_album(album)
{
	connect(album,SIGNAL(songAdded(Song* )),m_view,SLOT(addSong(Song* )));
	connect(album,SIGNAL(songRemoved(Song* )),m_view,SLOT(removeSong(Song* )));
	
	for (PlayList::iterator i = album->begin();i != album->end();i++)
	{
		m_view->addSong(*i);
	}
	
	this->setMdiIcon(KGlobal::iconLoader()->loadIcon("sound",KIcon::Small));
}


AlbumView::~AlbumView()
{}


MusicListViewMenu* AlbumView::createContextMenu()
{
	return ChildView::createContextMenu();
}

