/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@student.luc.ac.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FILERENAMER_H
#define FILERENAMER_H

#include <list>
#include "tools/tool.h"

class RenameDialog;
class Song;

/**
@author Joris Guisson
@brief Tool which handles file renaming
			   
This tool handles file renaming.
*/
class FileRenamer : public Tool
{
	Q_OBJECT
	
	RenameDialog* m_dlg;
public:
	FileRenamer(KMusicManager* mm, const char *name = 0);
	virtual ~FileRenamer();
	
	virtual void load();
	virtual void unload();
	virtual void onChildViewAdded(ChildView* cv);
	virtual void saveSettings(KConfig* cfg);
	virtual void loadSettings(KConfig* cfg);
	
public slots:
	/**
	 * Rename a list of songs. This will popup a
	 * RenameDialog.
	 * @param songs The list of songs
	 */
	void rename(const std::list<Song*> & songs);
	
	/**
	 * Rename one song. This will popup a
	 * RenameDialog.
	 * @param songs The list of songs
	 */
	void rename(Song* s);
};

#endif
