/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <klocale.h>
#include "pledmenu.h"
#include "playlisteditorwidget.h"

PLEdMenu::PLEdMenu(PlayListEditorWidget* ed,const char *name)
		: QPopupMenu(ed, name)
{
	play_id = insertItem(i18n("Play"),ed,SLOT(playCurrent()));
	export_id = insertItem(i18n("Export"),ed,SLOT(exportCurrent()));
	insertSeparator();
	delete_id = insertItem(i18n("Delete"),ed,SLOT(deleteCurrent()));
}


PLEdMenu::~PLEdMenu()
{}

void PLEdMenu::setDeleteEnabled(bool yes)
{
	setItemEnabled(delete_id,yes);
}

void PLEdMenu::setPlayEnabled(bool yes)
{
	setItemEnabled(play_id,yes);
}

void PLEdMenu::setExportEnabled(bool yes)
{
	setItemEnabled(export_id,yes);
}

#include "pledmenu.moc"
