/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@student.luc.ac.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kmusicmanager.h"  
#include "mainwindow.h"
#include "playqueuetool.h"
#include "playqueueview.h"
#include "player/musicplayer.h"

#include "view/childview.h"
#include "view/musiclistview.h"

PlayQueueTool::PlayQueueTool(KMusicManager* mm, const char* name)
	: Tool("tool/playqueue",mm, name),m_pq_view(0)
{
}


PlayQueueTool::~PlayQueueTool()
{
	delete m_pq_view;
}

void PlayQueueTool::load()
{
	if (!m_pq_view)
	{
		KMusicManager* mm = getMusicMan();
		m_pq_view = new PlayQueueView(mm->getPlayer()->getPlayQueue(),mm->getMusicDB());
		
		connect(m_pq_view,SIGNAL(playNow(Song* )),mm->getPlayer(),SLOT(playSong(Song* )));
		mm->getMainWindow()->addToolWindow(
				m_pq_view,KDockWidget::DockBottom,
				mm->getMainWindow()->getMainDockWidget(),35);
	}
}

void PlayQueueTool::unload()
{
	delete m_pq_view;
	m_pq_view = 0;
}

#include "playqueuetool.moc"
