/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef PLAYQUEUEVIEW_H
#define PLAYQUEUEVIEW_H

#include <klistview.h>

class Song;
class SongItem;
class PQViewMenu;
class PlayQueue;
class MusicDatabase;


/**
@author Joris Guisson
*/
class PlayQueueView : public KListView
{
	Q_OBJECT
	
	PQViewMenu* pmenu;
	PlayQueue* pq;
	MusicDatabase* db;
	
	bool acceptDrag(QDropEvent* e) const;
	QDragObject* dragObject();
public:
	PlayQueueView(PlayQueue* pq,MusicDatabase* db);
	virtual ~PlayQueueView();
	
public slots:
	void updateView();
	void onDropped(QDropEvent* e,QListViewItem* after);
	void removeSelected();
	void showContextMenu(QListViewItem* item,const QPoint& pos, int col);
	void onDoubleClicked(QListViewItem* item);
	
signals:
	void playNow(Song* s);
};

#endif
