/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@student.luc.ac.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef TOOLMANAGER_H
#define TOOLMANAGER_H

#include <map>
#include "tool.h"

/**
@author Joris Guisson
*/
class ToolManager : public Tool
{
	Q_OBJECT
			
	std::map<QString,Tool*> tools;
	
	typedef std::map<QString,Tool*>::iterator ToolItr;
public:
	ToolManager(KMusicManager* mm, const char* name = 0);
	virtual ~ToolManager();

	virtual void load();
	virtual void onChildViewAdded(ChildView* cv);
	virtual void unload();
	virtual void saveSettings(KConfig* cfg);
	virtual void loadSettings(KConfig* cfg);
	
	Tool* getTool(const QString & name);
};

#endif
