/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <klocale.h>
#include "treeviewmenu.h"
#include "treeview.h"

TreeViewMenu::TreeViewMenu(TreeView *parent)
	: QPopupMenu(parent)
{
	insertItem(i18n("Add to Play Queue"),parent,SLOT(addToPlayQueue()));
	m_create_playlist = insertItem(i18n("Create Playlist from Directory"),
								   parent,SLOT(createPlaylist()));
	insertSeparator();
	m_rename = insertItem(i18n("Rename"),parent,SLOT(renameSong()));
	insertItem(i18n("Delete from Disk"),parent,SLOT(deleteOnDisk()));
}


TreeViewMenu::~TreeViewMenu()
{}

void TreeViewMenu::popupMenu(const QPoint & pos,bool dir_mode)
{
	if (dir_mode)
	{
		setItemEnabled(m_create_playlist,true);
		setItemEnabled(m_rename,false);
	}
	else
	{
		setItemEnabled(m_create_playlist,false);
		setItemEnabled(m_rename,true);
	}
	popup(pos);
}

#include "treeviewmenu.moc"
