/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@student.luc.ac.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <kio/job.h>  
#include "iojob.h"
#include "iojobscheduler.h"


IOJobScheduler IOJobScheduler::g_inst;

IOJobScheduler::IOJobScheduler(QObject *parent, const char *name)
	: QObject(parent, name),m_curr(0)
{}


IOJobScheduler::~IOJobScheduler()
{
	for (std::list<IOJob*>::iterator i = m_jobs.begin();i != m_jobs.end();i++)
		delete *i;
}

void IOJobScheduler::addJob(IOJob* job)
{
	m_jobs.push_back(job);
	if (!m_curr)
	{
		m_curr = m_jobs.front();
		m_jobs.pop_front();
		KIO::Job* j = m_curr->createIOJob();
		connect(j,SIGNAL(result(KIO::Job* )),this,SLOT(jobDone(KIO::Job* )));
	}
}

void IOJobScheduler::jobDone(KIO::Job* job)
{
	if (job->error() != 0)
		job->showErrorDialog(0);
	
	delete m_curr;
	m_curr = 0;
	if (m_jobs.size() > 0)
	{
		m_curr = m_jobs.front();
		m_jobs.pop_front();
		KIO::Job* j = m_curr->createIOJob();
		connect(j,SIGNAL(result(KIO::Job* )),this,SLOT(jobDone(KIO::Job* )));
	}
}


#include "iojobscheduler.moc"
