/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@student.luc.ac.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef IOMAKEDIRJOB_H
#define IOMAKEDIRJOB_H

#include "iojob.h"

/**
@author Joris Guisson
@brief Makes a directory

This IOJob makes a directory.
*/
class IOMakeDirJob : public IOJob
{
	QString m_path;
public:
	/**
	 * Constructor, set the name of the directory to create.
	 * @param path The directory to create
	 */
	IOMakeDirJob(const QString & path);
	virtual ~IOMakeDirJob();

	virtual KIO::Job* createIOJob();

};

#endif
