/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LOG_H
#define LOG_H

#include <fstream>

class QString;

/**
@author Joris Guisson
*/
class Log 
{
	std::ofstream out;
public:
	Log();
	virtual ~Log();

	void init(const QString & file);
	void flush();
	
	template<class T> 
	Log & operator << (T val)
	{
		out << val;
		return *this;
	}
	
/*	template<class T> 
	Log & operator << (T & (*func)(T &))
	{
		out << func;
		return *this;
}*/
	Log & operator << (Log & (*func)(Log & ))
	{
		return func(*this);
	}
	
	
	
	friend Log & endl(Log & log);
};



#endif
