/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <klocale.h>
#include <kiconloader.h>
#include <kglobal.h>
#include "dbview.h"
#include "musiclistview.h"
#include "musicdb/musicdatabase.h"

DBView::DBView(MusicDatabase* db,QWidget *parent, const char *name)
		: ChildView(i18n("Music Collection"),parent, name)
{
	connect(db,SIGNAL(songAdded(Song* )),
		m_view,SLOT(addSong(Song* )));
	
	connect(db,SIGNAL(songGoingToBeRemoved(Song* )),
		m_view,SLOT(removeSong(Song* )));
	
	setMdiIcon(KGlobal::iconLoader()->loadIcon("folder",KIcon::Small));
	
	for (SongItr i = db->beginSongs();i != db->endSongs();i++)
		m_view->addSong(i.data());
}


DBView::~DBView()
{}


#include "dbview.moc"
