/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KMUSICMANAGER_H
#define KMUSICMANAGER_H

#include <kapplication.h>

class MusicDatabase;
class MusicPlayer;
class MainWindow;
class ToolManager;

/**
@author Joris Guisson
*/
class KMusicManager : public KApplication
{
	Q_OBJECT
public:
	KMusicManager();
	virtual ~KMusicManager();

	MusicPlayer* getPlayer() {return m_player;}
	MusicDatabase* getMusicDB() {return m_db;}
	MainWindow* getMainWindow() {return m_wnd;}
	ToolManager* getToolManager() {return m_tool_man;}
	
	QString getDataDir();
	
	void onExit();
	void init();
	
public slots:
	void changePlayerSource(const QString & name,bool play_next);
	void fileAddFiles();
	void fileAddDir();
	void fileManDirs();
	
private:
	void loadDB();
	void saveDB();
	
	void loadSettings();
	void saveSettings();
	
private:
	MusicDatabase* m_db;
	MusicPlayer* m_player;
	MainWindow* m_wnd;
	bool m_first_boot;
	ToolManager* m_tool_man;
};

#endif
