/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <config.h> 

#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <dcopclient.h>
#include "kmusicmanager.h"

#ifdef HAVE_GSTREAMER
#include <gst/gst.h>
#endif

static const char description[] = I18N_NOOP("A KDE Music Management App");

static const char version[] = "1.2";

static KCmdLineOptions options[] =
{
	//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
	KCmdLineLastOption
};

int main(int argc, char **argv)
{
#ifdef HAVE_GSTREAMER
	gst_init(&argc, &argv);
#endif

	KAboutData about(
		"kmusicmanager", I18N_NOOP("KMusicManager"),
		version, description,
		KAboutData::License_GPL, 
		"(C) 2004 Joris Guisson", 0, 0, 
		"joris.guisson@pandora.be");
	
	about.addAuthor( "Joris Guisson", 0, "joris.guisson@pandora.be" );
	
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions( options );
	KMusicManager app;
	
	app.dcopClient()->registerAs("KMusicManager", false);
	
//	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
	
	app.init();

	return app.exec();
}

